SpongeForge breaks interfaces in mods


#1

Hey.
SpongeForge is breaks interfaces in mods: AstralSorcey and Quark.

AstralSorcery:
Breaks the telescope interface. I.e. it is impossible to open, when you open its interface, it immediately closes.

Quark:
Breaks the noteblock interface. I.e. it is impossible to open, when you open its interface, it immediately closes.

SpongeForge version: 3024
Forge version: 14.23.3.2655

Quark version: 1.4-123
AstralSorcery version: 1.8.5


#2

Can you please post latest.log


#3

Ok, https://drive.google.com/open?id=1XG0lGmtxIaop52X4u7SCXqu0nzk-JruI


#4

I am not 100% sure, however, it seems to me that both Quark and AstralSorcery are/contain CoreMods, which might not be compatible with Sponge. If I have time later, I will spin up a dev server and test it myself.


#5

I’m using Quark at present in our experimental mod-pack, and for most purposes it works fine with SpongeForge. I haven’t tested the note-block interface, however.

One big problem with the report above: SpongeForge 3024. It’s somewhat less than “stable”, sponge devs are still working on a version that’s fully compatible with recent Forge builds.